package com.example.nto.controller;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.service.EmployeeService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/api/{login}")
@RequiredArgsConstructor
public class EmployeeController {

    private final EmployeeService employeeService;

    @GetMapping("/auth")
    public void auth(@PathVariable final String login) {
        employeeService.employeeExists(login);
    }

    @GetMapping("/info")
    public Employee info(@PathVariable final String login) {
        return employeeService.getEmployee(login);
    }

    @PatchMapping("/open")
    public void open(@PathVariable final String login, @RequestBody final Code code) {
        employeeService.updateVisit(login, code.getValue());
    }
}
